Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuANuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuANuNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuANuNuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuANuNuclearCrossSection.cc,v 1.2 2007/11/02 15:57:16 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuENuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuENuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuENuclearCrossSection.cc,v 1.2 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuMuNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QANuMuNuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuMuNuclearCrossSection.cc,v 1.11 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QAtomicElectronScattering.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QAtomicElectronScattering.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QAtomicElectronScattering.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QAtomicElectronScattering.cc,v 1.2 2006/12/13 15:45:19 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QAtomicElectronScattering.cc,v 1.4 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QAtomicElectronScattering class -----------------
@@ -41,5 +41,5 @@
 
 G4QAtomicElectronScattering::G4QAtomicElectronScattering(const G4String& processName):
- G4VDiscreteProcess(processName)
+ G4VDiscreteProcess(processName, fElectromagnetic)
 {
 #ifdef debug
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCaptureAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCaptureAtRest.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCaptureAtRest.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCaptureAtRest.cc,v 1.13 2007/10/02 10:00:37 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QCaptureAtRest.cc,v 1.19 2009/01/24 11:57:46 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QCaptureAtRest class -----------------
@@ -41,8 +41,10 @@
 
 #include "G4QCaptureAtRest.hh"
+#include "G4HadronicProcessStore.hh"
 
 G4QCaptureAtRest::G4QCaptureAtRest(const G4String& processName)
-  : G4VRestProcess(processName), Time(0.), EnergyDeposition(0.)
+  : G4VRestProcess(processName, fHadronic), Time(0.), EnergyDeposition(0.)
 {
+  SetProcessSubType(fCapture);
 #ifdef debug
   G4cout<<"G4QCaptureAtRest::Constructor is called"<<G4endl;
@@ -54,4 +56,5 @@
   G4Quasmon::SetParameters(Temperature,SSin2Gluons,EtaEtaprime);  // Hadronic parameters
   G4QEnvironment::SetParameters(SolidAngle); // SolAngle of pbar-A secondary mesons capture
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
 
@@ -102,5 +105,8 @@
 
 G4QCaptureAtRest::~G4QCaptureAtRest()
-{}
+{
+  // deregister in the store
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
+}
 
 G4LorentzVector G4QCaptureAtRest::GetEnegryMomentumConservation()
@@ -131,4 +137,14 @@
 #endif
   return false;
+}
+
+void G4QCaptureAtRest::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4QCaptureAtRest::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
 }
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCoherentChargeExchange.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCoherentChargeExchange.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCoherentChargeExchange.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCoherentChargeExchange.cc,v 1.5 2007/10/02 10:00:37 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QCoherentChargeExchange.cc,v 1.7 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QCoherentChargeExchange class -----------------
@@ -52,5 +52,5 @@
 // Constructor
 G4QCoherentChargeExchange::G4QCoherentChargeExchange(const G4String& processName)
-  : G4VDiscreteProcess(processName)
+  : G4VDiscreteProcess(processName, fHadronic)
 {
 #ifdef debug
@@ -58,5 +58,5 @@
 #endif
   if (verboseLevel>0) G4cout << GetProcessName() << " process is created "<< G4endl;
-
+  SetProcessSubType(fChargeExchange);
   //G4QCHIPSWorld::Get()->GetParticles(nPartCWorld); // Create CHIPS World (234 part. max)
 }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCollision.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCollision.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QCollision.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QCollision.cc,v 1.24.2.2 2008/05/07 13:47:31 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4QCollision.cc,v 1.28 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QCollision class -----------------
@@ -48,5 +48,6 @@
 std::vector<std::vector<G4double>*>G4QCollision::IsoProbInEl;//SumProbabIsotopes inElementI
 
-G4QCollision::G4QCollision(const G4String& processName) : G4VDiscreteProcess(processName)
+G4QCollision::G4QCollision(const G4String& processName): 
+ G4VDiscreteProcess(processName, fHadronic)
 {
 #ifdef debug
@@ -54,5 +55,5 @@
 #endif
   if (verboseLevel>0) G4cout << GetProcessName() << " process is created "<< G4endl;
-
+  SetProcessSubType(fHadronInelastic);
   //G4QCHIPSWorld::Get()->GetParticles(nPartCWorld); // Create CHIPSWorld (234 part.max)
   G4QNucleus::SetParameters(freeNuc,freeDib,clustProb,mediRatio); // Clusterization param's
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiffraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiffraction.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiffraction.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QDiffraction.cc,v 1.3 2007/10/02 10:00:37 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QDiffraction.cc,v 1.5 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QDiffraction class -----------------
@@ -51,5 +51,6 @@
 
 // Constructor
-G4QDiffraction::G4QDiffraction(const G4String& processName):G4VDiscreteProcess(processName)
+G4QDiffraction::G4QDiffraction(const G4String& processName):
+ G4VDiscreteProcess(processName, fHadronic)
 {
 #ifdef debug
@@ -57,5 +58,5 @@
 #endif
   if (verboseLevel>0) G4cout << GetProcessName() << " process is created "<< G4endl;
-
+  SetProcessSubType(fHadronInelastic);
   G4QCHIPSWorld::Get()->GetParticles(nPartCWorld); // Create CHIPS World (234 part. max)
 }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiffractionRatio.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiffractionRatio.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiffractionRatio.cc	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QDiffractionRatio.cc,v 1.7.2.1 2008/04/23 14:57:21 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4QDiffractionRatio.cc,v 1.9 2008/03/21 21:40:08 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiscProcessMixer.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiscProcessMixer.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QDiscProcessMixer.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QDiscProcessMixer.cc,v 1.2 2007/08/31 09:36:57 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QDiscProcessMixer.cc,v 1.4 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QDiscProcessMixer class -----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElastic.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElastic.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElastic.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QElastic.cc,v 1.25 2007/11/15 09:36:43 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QElastic.cc,v 1.27 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QElastic class -----------------
@@ -51,5 +51,6 @@
 
 // Constructor
-G4QElastic::G4QElastic(const G4String& processName) : G4VDiscreteProcess(processName)
+G4QElastic::G4QElastic(const G4String& processName): 
+ G4VDiscreteProcess(processName, fHadronic)
 {
 #ifdef debug
@@ -57,5 +58,5 @@
 #endif
   if (verboseLevel>0) G4cout << GetProcessName() << " process is created "<< G4endl;
-
+  SetProcessSubType(fHadronElastic);
   //G4QCHIPSWorld::Get()->GetParticles(nPartCWorld); // Create CHIPS World (234 part. max)
 }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElasticCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElasticCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElasticCrossSection.cc	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QElasticCrossSection.cc,v 1.33.2.1 2008/04/23 14:57:21 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4QElasticCrossSection.cc,v 1.36 2008/03/21 21:42:44 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElectronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElectronNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QElectronNuclearCrossSection.cc	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QElectronNuclearCrossSection.cc,v 1.11.10.1 2008/04/23 14:57:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4QElectronNuclearCrossSection.cc,v 1.13 2008/10/24 19:25:41 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -267,20 +267,20 @@
   //G4double mT= G4QPDGCode(111).GetNuclMass(Z,N,0);
   G4double mT= 0.;
-  if(G4NucleiPropertiesTable::IsInTable(Z,A))
-                                            mT=G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
+  if(G4NucleiProperties::IsInStableTable(A,Z))
+                               mT = G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
   else return 0.;       // If it is not in the Table of Stable Nuclei, then the Threshold=0
   // ---------
   G4double mP= infEn;
   //if(Z) mP= G4QPDGCode(111).GetNuclMass(Z-1,N,0);
-  if(Z&&G4NucleiPropertiesTable::IsInTable(Z-1,A-1))
-     	    mP=G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
+  if(Z&&G4NucleiProperties::IsInStableTable(A-1,Z-1))
+     	    mP = G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
   G4double mN= infEn;
   //if(N) mN= G4QPDGCode(111).GetNuclMass(Z,N-1,0);
-  if(N&&G4NucleiPropertiesTable::IsInTable(Z,A-1))
-    	    mN=G4NucleiProperties::GetNuclearMass(A-1.,Z-0.)/MeV;  // ResNucMass for a neutron
+  if(N&&G4NucleiProperties::IsInStableTable(A-1,Z))
+    	    mN = G4NucleiProperties::GetNuclearMass(A-1.,Z-0.)/MeV;  // ResNucMass for a neutron
 
   G4double mA= infEn;
-  if(N>1&&Z>1&&G4NucleiPropertiesTable::IsInTable(Z-2,A-4))
-     	    mA=G4NucleiProperties::GetNuclearMass(A-4.,Z-2.)/MeV; // ResNucMass for an alpha
+  if(N>1&&Z>1&&G4NucleiProperties::IsInStableTable(A-4,Z-2))
+     	    mA = G4NucleiProperties::GetNuclearMass(A-4.,Z-2.)/MeV; // ResNucMass for an alpha
 
   G4double dP= mP +mProt - mT;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QGluonString.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QGluonString.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QGluonString.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QGluonString.cc,v 1.1 2006/10/30 10:33:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QGluonString.cc,v 1.3 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QGluonString class -----------------
@@ -47,5 +47,6 @@
 std::vector<std::vector<G4double>*>G4QGluonString::IsoProbInEl;//SumProbabIsotopeInElementI
 
-G4QGluonString::G4QGluonString(const G4String& processName):G4VDiscreteProcess(processName)
+G4QGluonString::G4QGluonString(const G4String& processName):
+ G4VDiscreteProcess(processName, fHadronic)
 {
 #ifdef debug
@@ -53,5 +54,5 @@
 #endif
   if (verboseLevel>0) G4cout<<GetProcessName()<<" process is created by CHIPS"<<G4endl;
-
+  SetProcessSubType(fHadronInelastic);
   G4QCHIPSWorld::Get()->GetParticles(nPartCWorld); // Create CHIPS World with 234 particles
   G4QNucleus::SetParameters(freeNuc,freeDib,clustProb,mediRatio); // Clusterization param's
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QIonIonCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QIonIonCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QIonIonCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 19-Aug-07
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QLowEnergy.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QLowEnergy.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QLowEnergy.cc	(revision 962)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QLowEnergy.cc,v 1.4.2.1 2008/04/23 14:57:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4QLowEnergy.cc,v 1.7 2008/10/02 21:10:07 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //      ---------------- G4QLowEnergy class -----------------
@@ -52,5 +52,5 @@
 // Constructor
 G4QLowEnergy::G4QLowEnergy(const G4String& processName):
-  G4VDiscreteProcess(processName), evaporate(true)
+  G4VDiscreteProcess(processName, fHadronic), evaporate(true)
 {
 #ifdef debug
@@ -58,5 +58,5 @@
 #endif
   if (verboseLevel>0) G4cout<<GetProcessName()<<" process is created "<<G4endl;
-
+  SetProcessSubType(fHadronInelastic);
   G4QCHIPSWorld::Get()->GetParticles(nPartCWorld); // Create CHIPS World (234 part. max)
 }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QMuonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QMuonNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QMuonNuclearCrossSection.cc	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QMuonNuclearCrossSection.cc,v 1.11.10.1 2008/04/23 14:57:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4QMuonNuclearCrossSection.cc,v 1.13 2008/10/24 19:24:59 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -271,18 +271,18 @@
   //G4double mT= G4QPDGCode(111).GetNuclMass(Z,N,0);
   G4double mT= 0.;
-  if(G4NucleiPropertiesTable::IsInTable(Z,A))
-                                            mT=G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
+  if(G4NucleiProperties::IsInStableTable(A,Z))
+                            mT = G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
   else return 0.;       // If it is not in the Table of Stable Nuclei, then the Threshold=0
   // --------- Splitting thresholds
   G4double mP= infEn;
-  if(Z&&G4NucleiPropertiesTable::IsInTable(Z-1,A-1))
-     	    mP=G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
+  if(Z&&G4NucleiProperties::IsInStableTable(A-1,Z-1))
+     	    mP = G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
 
   G4double mN= infEn;
-  if(N&&G4NucleiPropertiesTable::IsInTable(Z-0,A-1))
-    	    mN=G4NucleiProperties::GetNuclearMass(A-1.,Z-0.)/MeV;  // ResNucMass for a neutron
+  if(N&&G4NucleiProperties::IsInStableTable(A-1,Z))
+    	    mN = G4NucleiProperties::GetNuclearMass(A-1.,Z)/MeV;  // ResNucMass for a neutron
 
   G4double mA= infEn;
-  if(N>1&&Z>1&&G4NucleiPropertiesTable::IsInTable(Z-2,A-4))
+  if(N>1&&Z>1&&G4NucleiProperties::IsInStableTable(A-4,Z-2))
      	    mA=G4NucleiProperties::GetNuclearMass(A-4.,Z-2.)/MeV; // ResNucMass for an alpha
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNeutronNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNeutronNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNeutronNuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuENuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuENuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuENuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuENuclearCrossSection.cc,v 1.2 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuMuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuMuNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuMuNuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuMuNuclearCrossSection.cc,v 1.12 2007/11/01 16:09:38 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuNuNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuNuNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QNuNuNuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuNuNuclearCrossSection.cc,v 1.2 2007/11/02 15:57:16 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QPhotonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QPhotonNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QPhotonNuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -262,16 +262,16 @@
   //G4double mT= G4QPDGCode(111).GetNuclMass(Z,N,0);
   G4double mT= 0.;
-  if(G4NucleiPropertiesTable::IsInTable(Z,A))
-                                            mT=G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
+  if(G4NucleiProperties::IsInStableTable(A,Z))
+                           mT = G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
   G4double mP= infEn;
-  if(Z&&G4NucleiPropertiesTable::IsInTable(Z-1,A-1))
-     	    mP=G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
+  if(Z&&G4NucleiProperties::IsInStableTable(A-1,Z-1))
+     	    mP = G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
 
   G4double mN= infEn;
-  if(N&&G4NucleiPropertiesTable::IsInTable(Z-0,A-1))
-    	    mN=G4NucleiProperties::GetNuclearMass(A-1.,Z-0.)/MeV;  // ResNucMass for a neutron
+  if(N&&G4NucleiProperties::IsInStableTable(A-1,Z))
+    	    mN = G4NucleiProperties::GetNuclearMass(A-1.,Z)/MeV;  // ResNucMass for a neutron
 
   G4double mA= infEn;
-  if(N>1&&Z>1&&G4NucleiPropertiesTable::IsInTable(Z-2,A-4))
+  if(N>1&&Z>1&&G4NucleiProperties::IsInStableTable(A-4,Z-2))
      	    mA=G4NucleiProperties::GetNuclearMass(A-4.,Z-2.)/MeV; // ResNucMass for an alpha
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QProtonNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QProtonNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QProtonNuclearCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // The lust update: M.V. Kossov, CERN/ITEP(Moscow) 17-June-02
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QTauNuclearCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QTauNuclearCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QTauNuclearCrossSection.cc	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QTauNuclearCrossSection.cc,v 1.10 2006/12/04 10:44:22 mkossov Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4QTauNuclearCrossSection.cc,v 1.11 2008/10/24 19:24:29 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
@@ -269,19 +269,19 @@
   //G4double mT= G4QPDGCode(111).GetNuclMass(Z,N,0);
   G4double mT= 0.;
-  if(G4NucleiPropertiesTable::IsInTable(Z,A))
-                                            mT=G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
+  if(G4NucleiProperties::IsInStableTable(A,Z))
+                             mT = G4NucleiProperties::GetNuclearMass(A,Z)/MeV;
   else return 0.;       // If it is not in the Table of Stable Nuclei, then the Threshold=0
   // --------- Splitting thresholds
   G4double mP= infEn;
-  if(Z&&G4NucleiPropertiesTable::IsInTable(Z-1,A-1))
-     	    mP=G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
+  if(Z&&G4NucleiProperties::IsInStableTable(A-1,Z-1))
+     	    mP = G4NucleiProperties::GetNuclearMass(A-1.,Z-1.)/MeV; // ResNucMass for a proton
 
   G4double mN= infEn;
-  if(N&&G4NucleiPropertiesTable::IsInTable(Z,A-1))
-    	    mN=G4NucleiProperties::GetNuclearMass(A-1.,Z-0.)/MeV;  // ResNucMass for a neutron
+  if(N&&G4NucleiProperties::IsInStableTable(A-1,Z))
+    	    mN = G4NucleiProperties::GetNuclearMass(A-1.,Z)/MeV;  // ResNucMass for a neutron
 
   G4double mA= infEn;
-  if(N>1&&Z>1&&G4NucleiPropertiesTable::IsInTable(Z-2,A-4))
-     	    mA=G4NucleiProperties::GetNuclearMass(A-4.,Z-2.)/MeV; // ResNucMass for an alpha
+  if(N>1&&Z>1&&G4NucleiProperties::IsInStableTable(A-4,Z-2))
+     	    mA = G4NucleiProperties::GetNuclearMass(A-4.,Z-2.)/MeV; // ResNucMass for an alpha
 
   G4double dP= mP +mProt - mT;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QuasiFreeRatios.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QuasiFreeRatios.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4QuasiFreeRatios.cc	(revision 962)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QuasiFreeRatios.cc,v 1.16.2.1 2008/04/23 14:57:22 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4QuasiFreeRatios.cc,v 1.19 2008/03/21 21:44:39 dennis Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4VQCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4VQCrossSection.cc	(revision 819)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/interface/src/G4VQCrossSection.cc	(revision 962)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VQCrossSection.cc,v 1.14 2007/11/15 09:36:43 mkossov Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 //
